Summary:	Application matching framework
Name:		bamf
Version:	0.2.74
Release:	2%{?dist}
# the GIO module is LGPLv3-*only*, but we don't build that. Other
# library bits are LGPLv2 or LGPLv3 (but not open-ended LGPLv2+);
# non-lib bits are GPLv3.
# pbrobinson points out that three files in the lib are actually
# marked GPL in headers, making library GPL, though we think this
# may not be upstream's intention. For now, marking library as
# GPL.
# License:	LGPLv2 or LGPLv3
License:	GPLv2 or GPLv3
Group:		System Environment/Libraries
URL:		https://launchpad.net/bamf
Source0:	http://launchpad.net/bamf/0.2/%{version}/+download/%{name}-%{version}.tar.gz
# Convenience patch to add a configure parameter to disable building
# of the gio module: see https://bugs.launchpad.net/bamf/+bug/687683
Patch0:		bamf-0.2.64-gio_parameter.patch

BuildRequires:	vala-tools
BuildRequires:	gtk-doc
BuildRequires:	dbus-glib-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk2-devel
BuildRequires:	libwnck-devel
BuildRequires:	libgtop2-devel

%description
BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
License:	LGPLv2 or LGPLv3
Requires:	%{name} = %{version}-%{release}
# For %{_libdir}/girepository-1.0 and %{_datadir}/gir-1.0
Requires:	gobject-introspection-devel
# For %{_datadir}/gtk-doc
Requires:	gtk-doc
Requires:	pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	daemon
Summary:	Application matching framework
Group:		System Environment/Libraries
License:	GPLv3

%description	daemon
BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf daemon and supporting data.

%prep
%setup -q
%patch0 -p1

%build
# needed for patch0
autoreconf -i

# disable unused-but-set-variable error for now as I'm not sure if we
# should really remove it from the code: bug reported upstream
# https://bugs.launchpad.net/bamf/+bug/706703
%global optflags %{optflags} -Wno-error=unused-but-set-variable

# we must disable the gio module as we do not carry the glib patch
# required to build it: https://bugzilla.gnome.org/show_bug.cgi?id=606960
%configure --disable-static --disable-gio-module

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING.LGPL COPYING
%{_libdir}/libbamf.so.*

%files	devel
%defattr(-,root,root,-)
%doc COPYING.LGPL COPYING
%{_includedir}/libbamf
%{_libdir}/libbamf.so
%{_libdir}/pkgconfig/libbamf.pc
%{_datadir}/gtk-doc/html/libbamf
# Installation of these was disabled in the 0.2.72 release commit,
# with no explanation - http://bazaar.launchpad.net/~unity-team/bamf/trunk/revision/374
#%{_libdir}/girepository-1.0/Bamf*.typelib
#%{_datadir}/gir-1.0/Bamf*.gir
#%{_datadir}/vala/vapi/Bamf*.vapi

%files daemon
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/bamfdaemon
%{_datadir}/dbus-1/services/*.service

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.74-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Adam Williamson <awilliam@redhat.com> - 0.2.74-1
- new release 0.2.74
- update license of library (thanks pbrobinson)
- fix build by disabling a strict warning which seems to have showed
  up in gcc-4.6.0-0.3
- gir and vala devel files aren't getting installed any more

* Fri Dec 03 2010 Adam Williamson <awilliam@redhat.com> - 0.2.64-1
- initial package
